Index: tmp/org.txm.chartsengine.core/plugin.xml
===================================================================
--- tmp/org.txm.chartsengine.core/plugin.xml	(revision 779)
+++ tmp/org.txm.chartsengine.core/plugin.xml	(revision 780)
@@ -13,7 +13,7 @@
          point="org.txm.EnginesManager">
       <EngineManager
             class="org.txm.chartsengine.core.ChartEnginesManager"
-            description="chart engines manager"
+            description="Charts Engines Manager"
             name="org.txm.chartsengine.core.ChartEnginesManager">
       </EngineManager>
    </extension>
Index: tmp/org.txm.chartsengine.core/src/org/txm/chartsengine/core/preferences/ChartsEnginePreferences.java
===================================================================
--- tmp/org.txm.chartsengine.core/src/org/txm/chartsengine/core/preferences/ChartsEnginePreferences.java	(revision 779)
+++ tmp/org.txm.chartsengine.core/src/org/txm/chartsengine/core/preferences/ChartsEnginePreferences.java	(revision 780)
@@ -95,6 +95,8 @@
 		Preferences preferences = DefaultScope.INSTANCE.getNode(PREFERENCES_NODE);
 		
 		preferences.put(CURRENT_NAME, "jfreechart_charts_engine"); //$NON-NLS-1$
+		// FIXME: for build tests
+		//preferences.put(CURRENT_NAME, "r_charts_engine"); //$NON-NLS-1$
 		preferences.put(DEFAULT_EXPORT_FORMAT, "svg"); //$NON-NLS-1$
 
 		
Index: tmp/org.txm.chartsengine.core/src/org/txm/chartsengine/core/ChartsEngine.java
===================================================================
--- tmp/org.txm.chartsengine.core/src/org/txm/chartsengine/core/ChartsEngine.java	(revision 779)
+++ tmp/org.txm.chartsengine.core/src/org/txm/chartsengine/core/ChartsEngine.java	(revision 780)
@@ -10,6 +10,7 @@
 import org.eclipse.core.runtime.IConfigurationElement;
 import org.eclipse.core.runtime.IExtension;
 import org.eclipse.core.runtime.IExtensionPoint;
+import org.eclipse.core.runtime.InvalidRegistryObjectException;
 import org.eclipse.core.runtime.Platform;
 import org.eclipse.core.runtime.RegistryFactory;
 import org.txm.Engine;
@@ -222,38 +223,30 @@
 	 */
 	public static void createChartsEngines()	{
 
-		Log.info("Looking for charts engines contributions with extension point id " + ChartsEngine.extensionPointId + ".");
-		
-		ChartsEngine.chartsEngines = new ArrayList<ChartsEngine>();
-		ChartsEngine.currentChartsEngineIndex = 0;
+		try {
+			Log.info("Looking for charts engines contributions with extension point id " + ChartsEngine.extensionPointId + ".");
+			
+			ChartsEngine.chartsEngines = new ArrayList<ChartsEngine>();
+			ChartsEngine.currentChartsEngineIndex = 0;
 
-		// FIXME: Debug: dump all installed extensions for each extension point id starting with "org.txm"
-		IExtensionPoint[] points = RegistryFactory.getRegistry().getExtensionPoints();
-		for (int i = 0; i < points.length; i++) {
-			if(points[i].getUniqueIdentifier().startsWith("org.txm"))	{
-				System.out.println("*********************ChartsEngine.createChartsEngines(): point id = " + points[i].getUniqueIdentifier());
-				IExtension[] extensions = points[i].getExtensions();
-				for (int j = 0; j < extensions.length; j++) {
-					System.out.println("----------------ChartsEngine.createChartsEngines(): " + extensions[j].getExtensionPointUniqueIdentifier());
-					System.out.println("ChartsEngine.createChartsEngines(): " + extensions[j].getLabel());
-					System.out.println("ChartsEngine.createChartsEngines(): " + extensions[j].getContributor().getName());
+			IConfigurationElement[] contributions =  RegistryFactory.getRegistry().getConfigurationElementsFor(ChartsEngine.extensionPointId);
+
+			Log.info(contributions.length + " charts engines found.");
+			
+			for(int i = 0; i < contributions.length; i++) {
+				try {
+					ChartsEngine chartsEngine = (ChartsEngine)contributions[i].createExecutableExtension("class"); //$NON-NLS-1$
+					chartsEngine.registerChartCreatorExtensions();
+					ChartsEngine.chartsEngines.add(chartsEngine);
 				}
+				catch(CoreException e) {
+					e.printStackTrace();
+				} 
 			}
 		}
-		
-		IConfigurationElement[] contributions =  RegistryFactory.getRegistry().getConfigurationElementsFor(ChartsEngine.extensionPointId);
-
-		Log.info(contributions.length + " charts engines found.");
-		
-		for(int i = 0; i < contributions.length; i++) {
-			try {
-				ChartsEngine chartsEngine = (ChartsEngine)contributions[i].createExecutableExtension("class"); //$NON-NLS-1$
-				chartsEngine.registerChartCreatorExtensions();
-				ChartsEngine.chartsEngines.add(chartsEngine);
-			}
-			catch(CoreException e) {
-				e.printStackTrace();
-			} 
+		catch (InvalidRegistryObjectException e) {
+			// TODO Auto-generated catch block
+			e.printStackTrace();
 		}
 	}
 
Index: tmp/org.txm.libs.jfreechart/build.properties
===================================================================
--- tmp/org.txm.libs.jfreechart/build.properties	(revision 779)
+++ tmp/org.txm.libs.jfreechart/build.properties	(revision 780)
@@ -2,5 +2,6 @@
                about.html,\
                about_files/,\
                lib/jcommon-1.0.21.jar,\
-               lib/jfreechart-1.0.17.jar,\
-               .
+               .,\
+               lib/jfreechart-1.0.17.jar
+jars.compile.order = 
Index: tmp/org.txm.libs.jfreechart/.classpath
===================================================================
--- tmp/org.txm.libs.jfreechart/.classpath	(revision 779)
+++ tmp/org.txm.libs.jfreechart/.classpath	(revision 780)
@@ -1,7 +1,7 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <classpath>
+	<classpathentry exported="true" kind="lib" path="lib/jfreechart-1.0.17.jar"/>
 	<classpathentry exported="true" kind="lib" path="lib/jcommon-1.0.21.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/jfreechart-1.0.17.jar"/>
 	<classpathentry kind="con" path="org.eclipse.jdt.launching.JRE_CONTAINER/org.eclipse.jdt.internal.debug.ui.launcher.StandardVMType/JavaSE-1.6"/>
 	<classpathentry kind="con" path="org.eclipse.pde.core.requiredPlugins"/>
 	<classpathentry kind="output" path="bin"/>
Index: tmp/org.txm.chartsengine.r.rcp/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.chartsengine.r.rcp/META-INF/MANIFEST.MF	(revision 779)
+++ tmp/org.txm.chartsengine.r.rcp/META-INF/MANIFEST.MF	(revision 780)
@@ -11,3 +11,4 @@
  org.txm.rcp;bundle-version="0.7.8"
 Bundle-Vendor: Textometrie.org
 Import-Package: org.txm.chartsengine.rcp.messages
+Export-Package: org.txm.rcp.chartsengine.r.preferences
Index: tmp/org.txm.statsengine.core/src/org/txm/statsengine/core/StatEngines.java
===================================================================
--- tmp/org.txm.statsengine.core/src/org/txm/statsengine/core/StatEngines.java	(revision 779)
+++ tmp/org.txm.statsengine.core/src/org/txm/statsengine/core/StatEngines.java	(revision 780)
@@ -48,7 +48,8 @@
 			try {
 				se.start(monitor);
 			} catch (Exception e2) {
-				System.out.println("Error: fail to start StatEngine: "+se.getName()+": "+e2.getLocalizedMessage());
+				System.err.println("Error: fail to start StatEngine: "+se.getName()+": "+e2.getLocalizedMessage());
+				e2.printStackTrace();
 			}
 
 		}
@@ -65,7 +66,8 @@
 			try {
 				se.stop();
 			} catch (Exception e2) {
-				System.out.println("Error: fail to stop StatEngine: "+se.getName()+": "+e2.getLocalizedMessage());
+				System.err.println("Error: fail to stop StatEngine: "+se.getName()+": "+e2.getLocalizedMessage());
+				e2.printStackTrace();
 			}
 		}
 		return true;
Index: tmp/org.txm.searchengine.core/src/org/txm/searchengine/core/SearchEngines.java
===================================================================
--- tmp/org.txm.searchengine.core/src/org/txm/searchengine/core/SearchEngines.java	(revision 779)
+++ tmp/org.txm.searchengine.core/src/org/txm/searchengine/core/SearchEngines.java	(revision 780)
@@ -46,7 +46,7 @@
 					System.out.println("Fail to initialize " + e.getName() + " search engine.");
 				}
 			} catch(Exception e) {
-				System.out.println("Error: fail to instanciate " + contributions[i].getName() + ": " + e.getLocalizedMessage());
+				System.err.println("Error: fail to instanciate " + contributions[i].getName() + ": " + e.getLocalizedMessage());
 				e.printStackTrace();
 			}
 		}
@@ -71,7 +71,8 @@
 			try {
 				se.start(monitor);
 			} catch (Exception e2) {
-				System.out.println("Error: fail to start SearchEngine: " + se.getName() + ": " + e2.getLocalizedMessage());
+				System.err.println("Error: fail to start SearchEngine: " + se.getName() + ": " + e2.getLocalizedMessage());
+				e2.printStackTrace();
 			}
 		}
 		return true;
@@ -83,11 +84,12 @@
 		for (Engine e : engines.values()) {
 			
 			SearchEngine se = (SearchEngine)e;
-			System.out.println("Stoping "+ se.getName()+" searchengine.");
+			System.out.println("Stopping "+ se.getName()+" searchengine.");
 			try {
 				se.stop();
 			} catch (Exception e2) {
-				System.out.println("Error: fail to stop SearchEngine: " + se.getName() + ": " + e2.getLocalizedMessage());
+				System.err.println("Error: fail to stop SearchEngine: " + se.getName() + ": " + e2.getLocalizedMessage());
+				e2.printStackTrace();
 			}
 		}
 		return true;
